Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 12 Feb 2013 18:36:58 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: Sebastien Vauban <[email-masked]>,  [email-masked]
>> Date: Tue, 12 Feb 2013 13:43:53 +0100
>> 
>> > OK. So please attach GDB to Emacs _before_ the problem happens, and set a
>> > breakpoint like this:
>> >
>> >   (gdb) break fileio.c:4913
>> >   (gdb) continue
>> >
>> > The breakpoint will be on this line in fileio.c:
>> >
>> >   if (! ok)
>> >     error ("IO error writing %s: %s", SDATA (filename),  <<<<<<<<<
>> >            emacs_strerror (save_errno));
>> >
>> > Then do whatever it takes to reproduce the problem.  When it happens
>> > again, this breakpoint should break.
>> 
>> I did attach to Emacs when problems began with Helm.
>> 
>> --8<---------------cut here---------------start------------->8---
>> [New Thread 21312.0x6b24]
>> [New Thread 21312.0x1b0c]
>> warning: sys_read called when read is in progress
>> warning: reader_thread.SetEvent failed with 6 for fd 3
>> [New Thread 21312.0x30a4]
>> warning: sys_read called when read is in progress
>> warning: reader_thread.SetEvent failed with 6 for fd 3
>> [New Thread 21312.0x469c]
>> [New Thread 21312.0x42c0]
>> warning: reader_thread.SetEvent failed with 6 for fd 3
>> [New Thread 21312.0x5050]
>> [New Thread 21312.0x1014]
>> warning: sys_read called when read is in progress
>> [New Thread 21312.0x1790]
>> --8<---------------cut here---------------end--------------->8---
>> 
>> Did I attach too late?  Is the above giving some information already?
>
> It gives me something, but not what I expected.  Did you at all see
> the "IO error writing FOO" message this time?

Not this time, no.

> If not, the above breakpoint will not break.

This explains that.

> In any case, since you say the problem comes back after 2 hours of
> usage, it is probably better to attach GDB and set the breakpoints at
> the very beginning of your session.
>
> To catch this message:
>
>   warning: sys_read called when read is in progress
>
> please put an additional breakpoint on line 6410 of w32.c, which says:
>
>         DebPrint (("sys_read called when read is in progress\n"));
>
> and when it breaks, please do:
>
>   (gdb) p fd_info[fd]
>   (gdb) p fd
>   (gdb) p *cp

OK, I do this:

1. Launch Emacs 24.2.93

2. Go to c:\Program Files (x86)\Emacs-24.2.93\bin

3. Run: gdb -p 15276
   XXX not sure about having to reference emacs.exe?
   XXX or should I start somehow Emacs from GDB?

4. Type in GDB:
   (gdb) break fileio.c:4913
   (gdb) break w32.c:6410
   (gdb) continue

5. Wait for problems, and do what you wrote in these threads.

Is this correct?

Best regards,
  Seb

-- 
Sebastien Vauban